
<script type="text/javascript">
	window.addEvent('domready', function(){	
		<? if ( $this->use_epg ): ?>
			window.location = "<?= $this->redirect_url; ?>";
		<? elseif ( $this->use_ivr ): ?>
			$('page').addClass('loading')
			$('classifieds').setStyle('visibility', 'hidden')
			window.location = "<?= $this->redirect_url; ?>";
		<? elseif ( $this->use_postfinance ): ?>
			$('page').addClass('loading')
			$('classifieds').setStyle('visibility', 'hidden')
			$('form1').getElement('input[type="submit"]').click();
			return false;
		<? elseif ( $this->use_twispay ): ?>
			$('page').addClass('loading')
			$('classifieds').setStyle('visibility', 'hidden')
			$('twispay-payment-form').getElement('input[type="submit"]').click();
			return false;
		<? endif; ?>
		switchUploadButton();

		if ( typeof(tinyMCE) !== 'undefined' ) {
			tinyMCE.init({
				mode : "exact",
				elements: "txt",
				theme : "advanced",
				plugins: "emotions,advhr,preview,paste",
				theme_advanced_toolbar_location	  : "top",
				theme_advanced_toolbar_align	  : "left",
				editor_selector : 'about-field',
				theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,undo,redo,|,pastetext,pasteword,fullscreen,emotions,preview",
				theme_advanced_buttons2 : "",
				theme_advanced_buttons3_add : "",
				remove_script_host : false,
				relative_urls : false,
				convert_urls : false
			});
		}
		function switchUploadButton(){
			var photosCount = $$('.c-img').length
			if(photosCount == 3){
				if(!$('upload-btn').hasClass('disabled')){
					$('upload-btn').addClass('disabled');
					$('photo-input').setAttribute('disabled', 'disabled');
				}
			} else{
				if($('upload-btn').hasClass('disabled')){
					$('upload-btn').removeClass('disabled');
					$('photo-input').removeAttribute('disabled');
				}
			}
		}

		function removePhoto(item){
			var id = item.getAttribute('data-id')
			var req = new Request.JSON({
				method: 'get',
				url: '/classified-ads/ajax-remove-photo?image_id=' + id,
				onComplete: function(resp) {
					if ( resp.status == 'success' ) {
						item.getParent('.photo').destroy();
						switchUploadButton();
					} else {
						console.log('axmax gyada')
					}
				}
			}).send();
		}

		var regionsLimit = 3;
		$$('.region-checkbox').addEvent('change', function(evt) {
			if($$('.region-checkbox:checked').length > regionsLimit) {
			   	this.set('checked',false);
			}
		});
		$$('.plan-input').addEvent('change', function(evt) {
			if(this.get('value') == 'free') {
			   	$$('.payment-method-input:checked').set('checked',false);
			   	$$('.payment-buttons').setStyle('display', 'none');
			} else{
			   	$$('.payment-buttons').setStyle('display', 'block');
			}
		});
		$('photo-input').addEvent('change', function(){
			var file = $('photo-input').files[0];
			var data = new FormData();
			data.append('image', file)
			var container = $('photos');
			var xmlHttp = new XMLHttpRequest();
	        xmlHttp.onreadystatechange = function()
	        {
	            if(xmlHttp.readyState == 4)
	            {
	            	var response = JSON.parse(xmlHttp.responseText)
	            	if(xmlHttp.status == 200 && response.status == 'success'){
	            		var div = new Element('div', {
							'class': 'photo',
						}).inject(container,'top');
						''
						var img = new Element('img', {
							'class': 'c-img',
							'src': response.url
						}).inject(div);

						var a = new Element('a',{
							'class': 'delete-photo',
							'data-id': response.id,
							'text': 'x'
						}).inject(div).addEvent('click', function(e){
							e.preventDefault();
							removePhoto(this);
						});

	            		switchUploadButton();
	            		console.log('success')
	            		$('photo-error').setStyle('display', 'none');

	            	} else{
	            		console.log('error')
	            		$('photo-error').set('text', response.msg);
	            		$('photo-error').setStyle('display', 'block');
	            	}
	            }
	        }
	        xmlHttp.open("POST", "/classified-ads/ajax-upload-photo", true); 
	        xmlHttp.send(data);  
		});

		$$('.delete-photo').addEvent('click', function(e){
			e.preventDefault();
			removePhoto(this);
			
		});

		
	})
</script>
<div class="classifieds-place">
	
	<div class="page-header">
		<span class="page-title"><?= __('create_advertisement')?></span>
		<div class="clear"></div>
	</div>
	<hr>

	<div class="block">
		<div class="alert">
			<p><?= __('place_ad_alert', array('AGB' => " <a target='_blank' href=' " . $this->getLink("agb") ."' >AGB</a> " ))?></p>
		</div>
	</div>
	<? if ( isset($this->errors['top']) ): ?>
		<div class="block">
			<div class="alert error-alert">
				<p><?= $this->errors['top'] ?></p>
			</div>
		</div>
	<? endif; ?>
	<? if ( $this->use_postfinance ): ?>
		<?= $this->postfinance_form ?>
	<? endif; ?>
	<? if ( $this->use_twispay ): ?>
		<?= $this->twispay_form ?>
	<? endif; ?>
	<form method="POST">
		<div class="block">
			<label class="field-label"><?= __('title')?>*</label>
			<label class="field-desc"><?= __('c_ads_field_desc_1')?></label>
			<div class="clear"></div>
			<? if ( isset($this->errors['title']) ): ?><p class="err"><?= $this->errors['title'] ?></p><? endif; ?>
			<input type="text" name="title" class="field-input" value="<?= $this->data['title'] ?>">
		</div>

		<div class="block">
			<label class="field-label"><?= __('text')?>*</label>
			<label class="field-desc"><?= __('c_ads_field_desc_2')?></label>
			<div class="clear"></div>
			<? if ( isset($this->errors['text']) ): ?><p class="err"><?= $this->errors['text'] ?></p><? endif; ?>
			<textarea id="txt" name="text" class="field-input"><?= $this->data['text'] ?></textarea>
		</div>

		<div class="block">
			<label class="field-label"><?= __('phone')?>*</label>
			<label class="field-desc"><?= __('c_ads_field_desc_3')?></label>
			<div class="clear"></div>
			<? if ( isset($this->errors['phone']) ): ?><p class="err"><?= $this->errors['phone'] ?></p><? endif; ?>
			<select class="field-input country-code-input" name="phone_prefix_id">
				<?php foreach ($this->phone_prefixes as $phone_prefix): ?>
					<?php if (!$this->data['phone_prefix'] && $phone_prefix->id == 1): ?>
						<option selected='selected' value="<?= $phone_prefix->id ?>">+<?= $phone_prefix->phone_prefix?> (<?= $phone_prefix->title ?>)</option>
					<?php else: ?>
						<option <?= $this->data['phone_prefix'] == $phone_prefix->id ? "selected='selected'": "" ?> value="<?= $phone_prefix->id ?>">+<?= $phone_prefix->phone_prefix?> (<?= $phone_prefix->title ?>)</option>
					<?php endif; ?>
				<?php endforeach ?>
			</select>
			<input type="text" name="phone" class="field-input phone-input" value="<?= $this->data['phone'] ?>">
			<div>
				<label class="checkboxes">
					<input type="checkbox" name="sms_available" <?= $this->data['sms_available'] ? "checked='checked'": "" ?>>
					<span class="checkmark"></span>
					<label><?= __('sms_available')?></label>
				</label>
			</div>
			<div>
				<label class="checkboxes">
					<input type="checkbox" name="whatsapp_available" <?= $this->data['whatsapp_available'] ? "checked='checked'": "" ?> >
					<span class="checkmark"></span>
					<label><?= __('whatsapp_available')?></label>
				</label>
			</div>
		</div>

		<div class="block mb-24">
			<label class="field-label"><?= __('email')?></label>
			<div class="clear"></div>
			<? if ( isset($this->errors['email']) ): ?><p class="err"><?= $this->errors['email'] ?></p><? endif; ?>
			<input type="email" name="email" class="field-input" value="<?= $this->data['email'] ?>">
		</div>

		<div class="block mb-24">
			<label class="field-label"><?= __('website')?></label>
			<label class="field-desc"><?= __('c_ads_field_desc_4')?></label>
			<div class="clear"></div>
			<? if ( isset($this->errors['invalid_web']) ): ?><p class="err"><?= $this->errors['invalid_web'] ?></p><? endif; ?>
			<input type="text" name="web" class="field-input" value="<?= $this->data['web'] ?>">
		</div>

		<hr>

		<div class="block">
			<label class="field-label"><?= __('category')?>*</label>
			<? if ( isset($this->errors['category']) ): ?><p class="err"><?= $this->errors['category'] ?></p><? endif; ?>
			<div class="ck-button block">
			   <? foreach( $this->defines['classified_ad_categories'] as $id => $title ): ?>
			   		<label>
				      <input type="radio" name="category" value="<?= $id ?>" class="category-button" <?= ($id == $this->data['category']) ? 'checked="checked"' : '' ?> >
				      <span class="field-input"><?= $title ?></span>
				   	</label>
				<? endforeach; ?>
			</div>
			<div class="clear"></div>
		</div>

		<!-- <hr class="thick mb-24"> -->
		<hr>

		<div class="block mb-24">
			<label class="field-label"><?= __('region')?>*</label>
			<label class="field-desc"><?= __('c_ads_field_desc_5')?></label>
			<div class="clear"></div>
			<? if ( isset($this->errors['cities']) ): ?><p class="err"><?= $this->errors['cities'] ?></p><? endif; ?>
		   <? foreach ( $this->cities AS $city ): ?>
			   	<label class="checkboxes region-checkboxes">
					<input type="checkbox" class="region-checkbox" name="cities[]" value="<?= $city->id ?>" <?= (in_array($city->id, $this->data['cities'])) ? "checked='checked'": "" ?> >
					<span class="checkmark"></span>
					<label><?= $city->title ?></label>
				</label>
			<? endforeach; ?>
			<div class="clear"></div>
		</div>

		<!-- <hr class="thick mb-24"> -->
		<hr>

		<div class="block mb-24">
			<label class="field-label"><?= __('upload_images')?></label>
			<label class="field-desc"><?= __('c_ads_field_desc_6')?></label>
			<div class="clear"></div>
			<p class="err" style="display: none;" id="photo-error"></p>
			<div class="upload-image-block">
				<label class="grey-btn upload-btn" id="upload-btn">
					<?= __('upload_images') ?>
					<input type="file" name="photos" class="photo-input" id="photo-input" accept="image/*" />
				</label>
			</div>
			<div class="clear"></div>
		</div>
		<div class="block photos" id="photos">
			<? if ( count($this->photos) ): ?>
				<? foreach( $this->photos as $id => $photo ): ?>
					<div class="photo">
						<img src="<?= $photo ?>" class="c-img" />
						<a href="#" data-id="<?= $id ?>" class="delete-photo">x</a>
					</div>
				<? endforeach; ?>
			<? endif; ?>
			<div class="clear"></div>
		</div>
		<!-- <hr class="thick mb-24"> -->
		<hr>
		<div class="block">
			<label class="field-desc" style="float: none;"><?= __('c_ads_field_desc_8')?></label>
			<? if ( isset($this->errors['accept_photo_clauses']) ): ?>
				<p class="err" style="margin-top: 10px;"><?= $this->errors['plan'] ?></p>
			<? endif; ?>
			<label class="checkboxes">
				<input type="checkbox" name="accept_photo_clauses" value="1" <?= ($this->accept_photo_clauses == 1) ? "checked='checked'": "" ?> >
				<span class="checkmark"></span>
				<label><?= __('c_ads_accept_photo_clauses')?></label>
			</label>
			<div class="clear"></div>
		</div>
		<hr>

		<div class="block mb-24">
			<label class="field-label"><?= __('ad_type')?></label>
			<label class="field-desc"><?= __('c_ads_field_desc_7')?></label>
			<div class="clear"></div>
			<? if ( isset($this->errors['plan']) ): ?><p class="err"><?= $this->errors['plan'] ?></p><? endif; ?>
			<div class="plan-buttons block">
				<label>
			      	<input type="radio" name="plan" value="1" id="paid_<?= $id ?>" class="plan-input" <?= (1 == $this->data['plan']) ? 'checked="checked"' : '' ?> >
					<div class="plan-button">
						<span class="clock-digit first-digit">24</span>
						<div class="plan-desc">
						  	<p>Premium</p> 
						  	<p>
						  		<span>24 Stunden</span> 
						  		<span class="price">CHF 20</span> 
							</p>
						</div>
					</div>
			   	</label>
			   	<label>
			      	<input type="radio" name="plan" value="2" class="plan-input" <?= (2 == $this->data['plan']) ? 'checked="checked"' : '' ?> >
					<div class="plan-button">
						<span class="clock-digit">3</span>
						<div class="plan-desc">
						  	<p>Premium</p> 
						  	<p>
						  		<span>3 Tage</span> 
						  		<span class="price">CHF 50</span> 
							</p>
						</div>
					</div>
			   	</label>
			   	<label>
					<input type="radio" name="plan" value="free" class="plan-input" <?= ('free' == $this->data['plan']) ? 'checked="checked"' : '' ?> >
					<div class="plan-button last-plan-button">
						<span class="clock-digit">1</span>
						<div class="plan-desc">
						  	<p><?= __('free') ?></p> 
						  	<p>
						  		<span>1 Woche</span> 
						  		<span class="price"> <?= __('free') ?> </span> 
							</p>
						</div>
					</div>
			   	</label>
			</div>
			<?php if($this->data['plan'] == 'free'):?>
				<div class="payment-buttons block" style="display: none;">
			<?php else:?>
				<div class="payment-buttons block" >
			<?php endif;?>
				<? if ( isset($this->errors['payment_method']) ): ?><p class="err"><?= $this->errors['payment_method'] ?></p><? endif; ?>	
				<?/*<label>
			      	<input type="radio" name="payment_method" value="epg"<?= ('epg' == $this->data['payment_method']) ? 'checked="checked"' : '' ?>  class="payment-method-input">
			      	<div class="field-input">
				      	<span class="circle">
							<span class="disk"></span>
						</span>
				      	<?= __('payment_method_epg')?>
			      	</div>
			   	</label>*/ ?>
			   	<? if(in_array('pf',$this->activ_payments)):?>
					<label>
				      	<input type="radio" name="payment_method" value="postfinance" <?= ('postfinance' == $this->data['payment_method']) ? 'checked="checked"' : '' ?>  class="payment-method-input">
				      	<div class="field-input">
				      		<span class="circle">
								<span class="disk"></span>		
							</span>
					      	<?= __('payment_method_postfinance')?>
					      		
			      		</div>
				   	</label>
			    <? endif; ?>

			    <? if(in_array('twp',$this->activ_payments)):?>
				   	<label>
				      	<input type="radio" name="payment_method" value="twispay" <?= ('twispay' == $this->data['payment_method']) ? 'checked="checked"' : '' ?>  class="payment-method-input">
				      	<div class="field-input">
				      		<span class="circle">
								<span class="disk"></span>		
							</span>
					      	<?= __('payment_method_twispay')?>
					      		
			      		</div>
				   	</label>
			    <? endif; ?>

			    <? if(in_array('faxin',$this->activ_payments)):?>
				   	<label>
				      	<input type="radio" name="payment_method" value="faxin" <?= ('faxin' == $this->data['payment_method']) ? 'checked="checked"' : '' ?>  class="payment-method-input">
				      	<div class="field-input">
				      		<span class="circle">
								<span class="disk"></span>		
							</span>
					      	<?= __('faxin_button')?>
					      		
			      		</div>
				   	</label>
			    <? endif; ?>

			    <? if(in_array('tel',$this->activ_payments)):?>
					<label>
				      	<input type="radio" name="payment_method" value="phone" <?= ('phone' == $this->data['payment_method']) ? 'checked="checked"' : '' ?>  class="payment-method-input">
				      	<div class="field-input">
				      		<span class="circle">
								<span class="disk"></span>
							</span>
					      	<?= __('payment_method_phone')?>
					      		
			      		</div>
				   	</label>
			   	<? endif; ?>
			   	<div class="clear"></div>
			</div>
			<div class="block form-buttons">
				<button type="submit" class="pink-btn submit-btn"><?= __('place_ad')?></button>
				<a href="<?= $this->getLink('classified-ads-index') ?>" class="grey-btn cancel-btn"><?= __('cancel')?></a>
				<div class="clear"></div>
			</div>
		</div>
	</form>
</div>
